Click or drag to resize

BrepCreateBlendShape Method

Makes a curve blend between points on two surface edges. The blend will be tangent to the surfaces and perpendicular to the edges.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve CreateBlendShape(
	BrepFace face0,
	BrepEdge edge0,
	double t0,
	bool rev0,
	BlendContinuity continuity0,
	BrepFace face1,
	BrepEdge edge1,
	double t1,
	bool rev1,
	BlendContinuity continuity1
)

Parameters

face0
Type: Rhino.GeometryBrepFace
First face to blend from.
edge0
Type: Rhino.GeometryBrepEdge
First edge to blend from.
t0
Type: SystemDouble
Location on first edge for first end of blend curve.
rev0
Type: SystemBoolean
If false, edge0 will be used in its natural direction. If true, edge0 will be used in the reversed direction.
continuity0
Type: Rhino.GeometryBlendContinuity
Continuity for the blend at the start.
face1
Type: Rhino.GeometryBrepFace
Second face to blend from.
edge1
Type: Rhino.GeometryBrepEdge
Second edge to blend from.
t1
Type: SystemDouble
Location on second edge for second end of blend curve.
rev1
Type: SystemBoolean
If false, edge1 will be used in its natural direction. If true, edge1 will be used in the reversed direction.
continuity1
Type: Rhino.GeometryBlendContinuity
>Continuity for the blend at the end.

Return Value

Type: Curve
The blend curve on success. null on failure
Version Information

Rhino for Windows

Supported in: 6.2
See Also